[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="Hostname";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\ubcf5\uc81c\ubcf8 \ud638\uc2a4\ud2b8";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\ud638\uc2a4\ud2b8 \uc774\ub984";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="\ub098\uac00\ub294 \uacf5\uae09 \uc0ac\uc6a9 \uac00\ub2a5";
  .out.send = "\ubcf4\ub0b4\uae30: ";
  .out.discussiongroups = "\ud1a0\ub860 \uadf8\ub8f9: ";
  .out.items=["\ubaa8\ub4e0 \ud1a0\ub860 \uadf8\ub8f9","\ud1a0\ub860 \uadf8\ub8f9 \uc5c6\uc74c","\uc9c0\uc815\ub41c \ud1a0\ub860 \uadf8\ub8f9","\uc9c0\uc815\ub41c \ud1a0\ub860 \uadf8\ub8f9\uc744 \uc81c\uc678\ud55c \ubaa8\ub4e0 \uadf8\ub8f9"];
  .out.internalhost = "\uc6d0\uaca9 \ud638\uc2a4\ud2b8\ub97c \ub0b4\ubd80 \ud638\uc2a4\ud2b8\ub85c \uc9c0\uc815";
  .conn.host="\uc6d0\uaca9 \ud638\uc2a4\ud2b8 \uc774\ub984 :";
  .conn.domain="\ub3c4\uba54\uc778 :";
  .conn.ip="IP \uc8fc\uc18c :";
  .conn.port="\ud3ec\ud2b8 :";
  .conn.maxreaders="\ucd5c\ub300 \uc0ac\uc6a9\uc790 \uc218 :";
  .conn.maxfeeds="\ucd5c\ub300 \uc6a9\uc9c0 \uacf5\uae09 :";
  .conn.timeout="\uc2dc\uac04 \ucd08\uacfc :";
  .conn.user="\uc11c\ubc84 \uc0ac\uc6a9\uc790 :";
  .conn.port="\uc6d0\uaca9 \uc11c\ubc84 \ud3ec\ud2b8:";
  .conn.port.userdefine = "\ud3ec\ud2b8 \uc0ac\uc6a9:";
  .conn.port.default = "\ud3ec\ud2b8 119 \uc0ac\uc6a9(\uc11c\ubc84\uc640 \ub3d9\uc77c)";
  .conn.ssl = "\ub098\uac00\ub294 \uc5f0\uacb0\uc744 \uc704\ud55c SSL \uc124\uc815:";
  .conn.ssl.ofserver = "\uc11c\ubc84\uc758 SSL \uc124\uc815 \uc0ac\uc6a9";
  .conn.ssl.remotessl = "\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9";
  .conn.ssl.remotenossl = "\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9 \uc548 \ud568";
  .conn.replica="\uc6d0\uaca9 \ud638\uc2a4\ud2b8\ub97c \ub3d9\uae30\ud654\ub41c \ubcf5\uc0ac\ubcf8\uc73c\ub85c \uc9c0\uc815";
  .conn.replicavalue=false;

  .in.active = "\ub4e4\uc5b4\uc624\ub294 \uc6a9\uc9c0 \uacf5\uae09 \uc0ac\uc6a9 \uac00\ub2a5";
  .in.newgroup = "\uadf8\ub8f9\uc6a9 \uc0c8 \uadf8\ub8f9 \uc81c\uc5b4 \uae30\uc0ac \uc218\ub77d: ";
  .in.newgroup.action = "\uc0c8 \uadf8\ub8f9 \uc81c\uc5b4 \uae30\uc0ac\uac00 \ub3c4\ucc29\ud560 \uacbd\uc6b0: ";
  .in.newgroup.choices = ["\uadf8\ub8f9 \ub9cc\ub4e4\uae30", "\uad00\ub9ac\uc790\uc5d0\uac8c \uc6b0\ud3b8 \ubcf4\ub0b4\uae30","\ub85c\uadf8 \ud56d\ubaa9 \ub9cc\ub4e4\uae30","\ubb34\uc2dc" ];
  .in.rmgroup = "\uadf8\ub8f9\uc6a9 \uc0c8 \uadf8\ub8f9 \uae30\uc0ac \uc218\ub77d: ";
  .in.rmgroup.action = "\uc0c8 \uc81c\uc5b4 \uae30\uc0ac\uac00 \ub3c4\ucc29\ud560 \uacbd\uc6b0: ";
  .in.rmgroup.choices = ["\uadf8\ub8f9 \ub9cc\ub4e4\uae30", "\uad00\ub9ac\uc790\uc5d0\uac8c \uc6b0\ud3b8 \ubcf4\ub0b4\uae30","\ub85c\uadf8 \ud56d\ubaa9 \ub9cc\ub4e4\uae30","\ubb34\uc2dc" ];


  .rest.title=[titled, "\uc5f0\uacb0 \uc81c\ud55c"];
  .rest.require.login="\uc5f0\uacb0 \uc2dc \uc0ac\uc6a9\uc790 \uc778\uc99d";
  .rest.hcl.enable="\ud638\uc2a4\ud2b8 \uc81c\ud55c \uc0ac\uc6a9 \uac00\ub2a5";
  .rest.hcl.table.perm.header="\uc0ac\uc6a9 \uad8c\ud55c";
  .rest.hcl.table.patt.header="\ud638\uc2a4\ud2b8 \ud328\ud134";
  .rest.hcl.perm.labels=["\ud5c8\uc6a9", "\uac70\ubd80"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="true";
  .service.nntp.network.requirelogin="true";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["\ud574\ub2f9 \uc11c\ubc84\uc758 SSL \uc124\uc815 \uc0ac\uc6a9","\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9","\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9 \uc548 \ud568"];
                    /*labels=["\ud574\ub2f9 \uc11c\ubc84\uc758 SSL \uc124\uc815 \uc0ac\uc6a9","\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9","\uc6d0\uaca9 \uc11c\ubc84\uc5d0\uc11c SSL \uc0ac\uc6a9 \uc548 \ud568"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
